diff a/src/hotspot/share/runtime/continuationWrapper.inline.hpp b/src/hotspot/share/runtime/continuationWrapper.inline.hpp
--- a/src/hotspot/share/runtime/continuationWrapper.inline.hpp
+++ b/src/hotspot/share/runtime/continuationWrapper.inline.hpp
@@ -113,10 +113,11 @@
   oop continuation()                 { return _continuation; }
   stackChunkOop tail() const         { return _tail; }
   void set_tail(stackChunkOop chunk) { _tail = chunk; }
 
   inline bool is_preempted();
+  inline void set_preempted(bool value);
   inline void read();
   inline void write();
 
   NOT_PRODUCT(intptr_t hash();)
 
@@ -161,10 +162,14 @@
 
 inline bool ContinuationWrapper::is_preempted() {
   return jdk_internal_vm_Continuation::is_preempted(_continuation);
 }
 
+inline void ContinuationWrapper::set_preempted(bool value) {
+  jdk_internal_vm_Continuation::set_preempted(_continuation, value);
+}
+
 inline void ContinuationWrapper::read() {
   _tail  = jdk_internal_vm_Continuation::tail(_continuation);
 }
 
 inline void ContinuationWrapper::write() {
